## xplot 1.19

=== src/Makefile ===
############################################################################
#
# Makefile for XPLOT program.
#

# The directory that xplot goes to on a "make install"
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/man/man1

# The filename of the helpfile. Used for copying on a "make install" and
# as the filename in the sources.
HELPDIR = $(PREFIX)/share/xplot
HELPFILE = $(HELPDIR)/xplot.help

# If you want xplot to auto-daemonize (go to background) when started,
# uncomment the following
DAEMONIZE = -DDAEMONIZE

# Two variables to find the forms library and headers.
# You will need the library and header to compile XPlot. You can ftp them
# from ftp://bloch.phys.uwm.edu/pub/xforms or
# ftp://ftp.cs.ruu.nl/pub/XFORMS.
#
# The directory that you keep forms.h, if it's not a system-include directory.
# Prefix this name with -I, e.g.:
# FORM_INCLUDE = -I/usr/local/X11/include

# The directory where you keep libforms.a, if it's a non-system library
# dir. Prefix this name with -L, e.g.:
FORM_LIB = -L/usr/X11R6/lib

# Next, we need the libfli.a library and fli.h, the ICCE Add-ons for
# XForms. The sources are incuded here, and built here.  For your own
# projects, You can ftp it from ftp://ftp.icce.rug.nl/pub/unix.
#
# The directory where you have the ICCE XForms add-ons include file, e.g.:
# FLI_INCLUDE = -I/usr/local/X11/include
FLI_INCLUDE = -I../libfli/lib

# The directory where you have the ICCE XForms add-ons, e.g.:
# FLI_LIB = -L/usr/local/X11/lib
FLI_LIB = -L../libfli/lib

# The rest should be OK, no need to change.
#############################################################################

# current version, my task to change that
VER = 1.19

# C flag for debugging: -g gives gdb info, but "install -s" will strip when
# "make install" is done
CDEBUG = -g

# Linkage flags, default none
LDEBUG=

# object files we need
OBJ = error.o fgetline.o readfile.o usage.o xplot.o forms.o setrange.o \
      setlinetype.o checkranges.o  activatordone.o redrawplots.o \
      guessy.o redraw.o quit.o doblowup.o quitblowup.o setautoredraw.o \
      setboundary.o setinputstrings.o boundaries.o activatesets.o \
      setactive.o dohelp.o helpdone.o settitle.o warning.o showform.o

# compilation flags
CFLAGS = -O2 $(CDEBUG) -Wall \
    -DVER=\"$(VER)\" \
    -DHELPFILE=\"$(HELPFILE)\" \
    $(FORM_INCLUDE) $(FLI_INCLUDE) \
    $(DAEMONIZE)

# entry point
foobar:
	@echo 'Make what? Select:'
	@echo 'make xplot: make program in this dir, non-debug version'
	@echo 'make debug: make program in this dir, debug version'
	@echo 'make tests: make in this dir and run a couple of tests'
	@echo 'make clean: clean up stale files'
	@echo 'make install: make program and install it to $(BINDIR)'
	@echo 'make dist: make distribution, only for me (karel)'
	exit 1

../libfli/lib/libfli.a:
	(cd ../libfli/lib/; ./cbuild)

# executable
xplot: $(OBJ) ../libfli/lib/libfli.a
	$(CC) -o xplot $(OBJ) $(FORM_LIB) $(FLI_LIB) \
	    -lforms -lfli -lX11 -lm $(LDEBUG)

debug:
	make CDEBUG=-g LDEBUG=-static DAEMONIZE='' xplot

# tests to run
tests: xplot
	@echo Sine function..
	test/sine | ./xplot
	@echo 'Hit ENTER..'
	@read
	@echo Nontabulated line..
	test/nontab | ./xplot
	@echo 'Hit ENTER..'
	@read
	@echo Now for both..
	test/sine > /tmp/sine.data.out
	test/nontab > /tmp/nontab.data.out
	./xplot /tmp/sine.data.out /tmp/nontab.data.out
	@echo 'Hit ENTER..'
	@read
	rm -f /tmp/sine.data.out /tmp/nontab.data.out
	@echo Now lots of sines..
	test/lotsofsines
	./xplot /tmp/lotsofsines.data.out.*
	@echo 'Hit ENTER..'
	@read
	@echo 'Test series done!'
	rm -f /tmp/lotsofsines.data.out.*

# installation
install: $(BINDIR)/xplot $(HELPFILE)

$(BINDIR)/xplot: xplot
	install -s -m 755 xplot $(BINDIR)
	install -m 644 xplot.1 $(MANDIR)

$(HELPFILE): ../xplot.help
	install -d  $(HELPDIR)
	install -m 644 ../xplot.help $(HELPFILE)

# cleaning up
clean:
	rm -f $(OBJ) xplot ../libfli/lib/libfli.a

# distribution
dist: clean
	./.makedist $(VER)

# extra deps
plot.c: plot.fd
	fdesign -altformat -convert plot.fd

forms.o: forms.c plot.c
usage.o: usage.c Makefile
dohelp.o: dohelp.c Makefile
xplot.o: xplot.c Makefile

=== debian/changelog ===
xplot (1.19-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use modern debhelper (Closes: #1089482)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Dec 2024 14:01:48 +0100

xplot (1.19-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999308).

 -- Marcos Talau <talau@debian.org>  Sun, 06 Nov 2022 13:18:50 -0300

xplot (1.19-9) unstable; urgency=low

  * Build against libforms2.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Standards-Version: 3.8.4

 -- Peter S Galbraith <psg@debian.org>  Thu, 27 May 2010 21:00:50 -0400

xplot (1.19-8) unstable; urgency=low

  * Bug fix: "FTBFS: xplot.h:33:23: error: X11/forms.h: No such file or
    directory", thanks to Lucas Nussbaum (Closes: #551237).  Adapt to new
    libforms1 library.

 -- Peter S Galbraith <psg@debian.org>  Fri, 16 Oct 2009 15:40:40 -0400

xplot (1.19-7.2) unstable; urgency=low

  * Non-Maintainer Upload to Fix Failure To Build From Source due to a small
    bashism in the cbuild script. (Closes: #379486)

 -- Margarita Manterola <marga@debian.org>  Mon, 31 Jul 2006 00:56:24 -0300

xplot (1.19-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Adjust X11 include path so it no longer references /usr/X11R6; fixes
    FTBFS, patch from Andreas Jochens. (Closes: #376137)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri,  7 Jul 2006 17:13:11 +0200

xplot (1.19-7) unstable; urgency=low

  * Bug fix: "xplot: FTBFS: build-depends on removed xlibs-dev", thanks to
    Adeodato Simó for reporting it and to Justin Pryzby for the patch
    (Closes: #346834).
  * Standards version 3.6.2 without changes.

 -- Peter S Galbraith <psg@debian.org>  Tue, 17 Jan 2006 20:27:53 -0500

xplot (1.19-6) unstable; urgency=low

  * Move to main from contrib!
  * Changed section to Science.
  * Standards version 3.5.8;  Edited rules file a bit to comply.

 -- Peter S Galbraith <psg@debian.org>  Tue, 10 Dec 2002 20:27:22 -0500

xplot (1.19-5) unstable; urgency=low

  * Update to policy 3.5.6 without changes
  * Fix very minor spelling error in control file (closes: #125562)

 -- Peter S Galbraith <psg@debian.org>  Fri, 22 Mar 2002 14:38:58 -0500

xplot (1.19-4) unstable; urgency=low

  * Update to policy 3.2.1 (Build-Depends)

 -- Peter S Galbraith <psg@debian.org>  Wed, 21 Feb 2001 10:45:58 -0500

xplot (1.19-3) unstable; urgency=low

  * Fixed packaging of upstream changelog file.

 -- Peter S Galbraith <psg@debian.org>  Tue, 14 Dec 1999 09:22:55 -0500

xplot (1.19-2.0.2) unstable; urgency=low

  * 1.19-2.0.1 was compiled statically to libforms due to a bug in
    libforms-dev package.

 -- Peter S Galbraith <psg@debian.org>  Sun,  7 Nov 1999 18:12:03 -0500

xplot (1.19-2.0.1) unstable; urgency=low

  * Build against glibc2.1 libforms0.89

 -- Peter S Galbraith <psg@debian.org>  Fri,  1 Oct 1999 14:49:18 -0400

xplot (1.19-2) unstable; urgency=low

  * Update to policy 3.0.1 (/usr/share/)

 -- Peter S Galbraith <psg@debian.org>  Sun, 12 Sep 1999 21:58:37 -0400

xplot (1.19-1) unstable; urgency=low

  * All Debian patches merged into new upstream version, plus other changes
    by Debian maintainer.  See source's changelog file.
  * Closes bug #35683: xplot: include path incomplete
    Patched libfli/lib/cbuild.def to add -I/usr/X11R6/include/X11 as
    requested by Christian T. Steigies <steigies@physik.uni-kiel.de>
    
 -- Peter S Galbraith <psg@debian.org>  Fri, 11 Jun 1999 22:08:13 -0400

xplot (1.18-1) unstable; urgency=low

  * Initial Release.
  * Patch fgetline.c to fix bug I found in upstream version:
     XPlot failed to read in lines that began with a minus sign
     or a decimal point.
  * Patch xplot.c
     I am reversing the direction of the y-sliders to make the
     interface more intuitive.  When a user slide down the first slider
     from its top position, the top of the y-axis scale will change
     instead of the _bottom_ of the y-axis.
	
 -- Peter S Galbraith <psg@debian.org>  Thu, 19 Nov 1998 15:59:17 -0500

=== debian/control ===
Source: xplot
Section: science
Priority: optional
Maintainer: Peter S Galbraith <psg@debian.org>
Build-Depends: debhelper-compat (= 13), libforms-dev
Standards-Version: 3.8.4

Package: xplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple on-screen x-y column data plotter
 XPlot is a small program to plot one- or two-dimensional datasets, which are
 present either in a file or are generated `on-the-fly' and piped to XPlot.
 XPlot lets you display one or more datasets and lets you zoom to different
 sections of the sets. Also. `blowups' of the currently shown portion of the
 data can be made.
 .
 XPlot is meant for on-screen data exploration.  It does not have a print
 button, nor is it meant for final output or publication-quality figures.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make -C src xplot PREFIX="/usr"

override_dh_auto_clean:
	make -C src clean
	#-mv src/.makedist.orig src/.makedist-orig
	#dh_clean
	#-mv src/.makedist-orig src/.makedist.orig

override_dh_installchangelogs:
	dh_installchangelogs src/ChangeLog
